Index: palm/trunk/SOURCE/ls_forcing.f90
===================================================================
--- palm/trunk/SOURCE/ls_forcing.f90	(revision 1319)
+++ palm/trunk/SOURCE/ls_forcing.f90	(revision 1320)
@@ -20,5 +20,9 @@
 ! Current revisions:
 ! ------------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -59,18 +63,37 @@
     SUBROUTINE init_ls_forcing
 
-       USE arrays_3d
-       USE control_parameters
-       USE cpulog
-       USE indices
-       USE pegrid
+       USE arrays_3d,                                                          &
+           ONLY:  p_surf, pt_surf, q_surf, qsws_surf, shf_surf, time_surf,     &
+                  time_vert, ug_vert, vg_vert, wsubs_vert, zu
+
+       USE control_parameters,                                                 &
+           ONLY:  end_time, lsf_surf, lsf_vert, message_string, nlsf
+
+       USE indices,                                                            &
+           ONLY:  nzb, nzt
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       INTEGER ::  finput = 90, ierrn, k, t 
-       CHARACTER (100)::  chmess
-       CHARACTER(1) ::  hash
-       REAL ::  r_dummy, fac
-       REAL ::  highheight, highug_vert, highvg_vert, highwsubs_vert
-       REAL ::  lowheight, lowug_vert, lowvg_vert, lowwsubs_vert
+       CHARACTER(100) ::  chmess              !:
+       CHARACTER(1)   ::  hash                !:
+
+       INTEGER(iwp) ::  ierrn                 !:
+       INTEGER(iwp) ::  finput = 90           !:
+       INTEGER(iwp) ::  k                     !:
+       INTEGER(iwp) ::  t                     !:
+
+       REAL(wp) ::  fac                       !:
+       REAL(wp) ::  highheight                !:
+       REAL(wp) ::  highug_vert               !:
+       REAL(wp) ::  highvg_vert               !:
+       REAL(wp) ::  highwsubs_vert            !:
+       REAL(wp) ::  lowheight                 !:
+       REAL(wp) ::  lowug_vert                !:
+       REAL(wp) ::  lowvg_vert                !:
+       REAL(wp) ::  lowwsubs_vert             !:
+       REAL(wp) ::  r_dummy                   !:
 
        ALLOCATE( p_surf(0:nlsf), pt_surf(0:nlsf), q_surf(0:nlsf),         &
@@ -226,15 +249,21 @@
     SUBROUTINE ls_forcing_surf ( time )
 
-       USE arrays_3d
-       USE control_parameters
-       USE cpulog
-       USE indices
-       USE pegrid
+       USE arrays_3d,                                                          &
+           ONLY:  p_surf, pt_surf, q_surf, qsws, qsws_surf, shf, shf_surf,     &
+                  time_surf, time_vert, ug, ug_vert, vg, vg_vert
+
+       USE control_parameters,                                                 &
+           ONLY:  bc_q_b, ibc_pt_b, ibc_q_b, pt_surface, q_surface,            &
+                  surface_pressure
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       REAL, INTENT(in)  :: time
-       REAL :: fac
-       INTEGER :: t
+       INTEGER(iwp) ::  t                     !:
+
+       REAL(wp)             :: fac            !:
+       REAL(wp), INTENT(in) :: time           !:
 
 !
@@ -284,15 +313,19 @@
     SUBROUTINE ls_forcing_vert ( time )
 
-       USE arrays_3d
-       USE control_parameters
-       USE cpulog
-       USE indices
-       USE pegrid
+       USE arrays_3d,                                                          &
+           ONLY:  time_vert, ug, ug_vert, vg, vg_vert, w_subs, wsubs_vert
+
+       USE control_parameters,                                                 &
+           ONLY:  large_scale_subsidence
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       REAL, INTENT(in)  :: time
-       REAL :: fac
-       INTEGER :: t
+       INTEGER(iwp) ::  t                     !:
+
+       REAL(wp)             ::  fac           !:
+       REAL(wp), INTENT(in) ::  time          !:
 
 !
